export interface Routes<Value> {
    [pattern: string]: Routes<Value> | Value;
}
export interface Match<Value> {
    pattern: string | null;
    value: Value | null;
    params: string[];
}
declare const pickPath: <Value>(path: string, routes: Routes<Value>, parentPattern?: string) => Match<Value>;
export default pickPath;
